@ECHO OFF
CLS

::=====================================================
:: JAVA PERSISTENCE API - TESTER
:: JDK-VERSION MUST 1.6.x or HIGHER
::=====================================================
:START

  TITLE JAVA PERSISTENCE API - TESTER - USER ADMINISTRATION
  
  CLS
  ECHO =====================================================
  ECHO  JAVA PERSISTENCE API - TESTER - USER ADMINISTRATION
  ECHO  CAS Enterprise Application Development with Java EE
  ECHO.
  ECHO  JDK-VERSION MUST 1.6.x or HIGHER
	ECHO  Version 1.0 - 18.06.2007
	ECHO.
  ECHO  (c)2007 marc at bouquet dot ch. All rights reseved.
  ECHO =====================================================
  ECHO.

  ECHO =====================================================
  ECHO. M E N U 
  ECHO -----------------------------------------------------
  ECHO  1. Start Test-Application
  ECHO  2. Help
  ECHO  3. Quit
  ECHO =====================================================
  ECHO.

  SET /p MENU=Please choose a menu option: 
  SET MENU=%MENU:~0,1%
  
  IF "%MENU%"=="1" GOTO SET_PARAM
  IF "%MENU%"=="2" GOTO HELP
  IF "%MENU%"=="3" GOTO INFO


::--------------------------------------------------------
:: set parameter(s)
::--------------------------------------------------------
:SET_PARAM

  IF "%1"=="" GOTO SET_INSTALL_DIRECTORY
  IF "%2"=="" GOTO SET_ISOLATION_LEVEL  
  IF "%3"=="" GOTO SET_PARAM_LOOP
  IF "%4"=="" GOTO SET_PARAM_PROCESS_TYPE
  

::--------------------------------------------------------
:: set parameter for install directory
::--------------------------------------------------------
:SET_INSTALL_DIRECTORY
	
  ECHO.
  SET /p PARAM_INSTALL_DIRECTORY=install directory is:        
  SET PARAM_INSTALL_DIRECTORY=%PARAM_INSTALL_DIRECTORY%
  
  
::--------------------------------------------------------
:: set parameter for isolation level
::--------------------------------------------------------
:SET_ISOLATION_LEVEL
	
  SET /p PARAM_ISOLATION_LEVEL=isolation level is:          
  SET PARAM_ISOLATION_LEVEL=%PARAM_ISOLATION_LEVEL%


::--------------------------------------------------------
:: set parameter for size of loops
::--------------------------------------------------------
:SET_PARAM_LOOP

  SET /p PARAM_LOOP=size of loops is:            
  SET PARAM_LOOP=%PARAM_LOOP%


::--------------------------------------------------------
:: set parameter for process type
::--------------------------------------------------------
:SET_PARAM_PROCESS_TYPE

  SET /p PARAM_PROCESS_TYPE=process type is:             
  SET PARAM_PROCESS_TYPE=%PARAM_PROCESS_TYPE%


  GOTO CHECK


::--------------------------------------------------------
:: parameter checker
::--------------------------------------------------------
:CHECK
  
  CLS
  ECHO.
  ECHO =====================================================
  ECHO. Y O U R   P A R A M E T E R S
  ECHO -----------------------------------------------------
  ECHO  INSTALL DIRECTORY: %PARAM_INSTALL_DIRECTORY%
  ECHO  ISOLATION LEVEL:   %PARAM_ISOLATION_LEVEL%
  ECHO  SIZE OF LOOPS:     %PARAM_LOOP%
  ECHO  PROCESS TYPE:      %PARAM_PROCESS_TYPE%
  ECHO =====================================================
  ECHO.
  
  GOTO JDK


::--------------------------------------------------------
:: set java home
::--------------------------------------------------------
:JDK

if exist C:\Programme\Java\jdk1.6.0\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.6.0
) else if exist C:\Programme\Java\jdk1.5.0_10\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.5.0_10
  ) else if exist C:\Programme\Java\jdk1.5.0_09\bin\java.exe (
  SET JAVA_HOME=C:\Programme\Java\jdk1.5.0_09
) else (
  ECHO -----------------------------------------------------
  ECHO  JDK 6.x not found, please check the installation
  ECHO  or the configuration in this batch file!
  ECHO  Program can not started!
  ECHO -----------------------------------------------------
  ECHO.
  
  GOTO END
)

  ECHO -----------------------------------------------------
  ECHO  JAVA_HOME is: %JAVA_HOME%
  ECHO -----------------------------------------------------
  ECHO.
  
  GOTO SET_CLASSPATH


::----------------------------------------------------------------------------
:: set classpath
::----------------------------------------------------------------------------
:SET_CLASSPATH

	SET PATH=%JAVA_HOME%\bin;%PATH%
	SET LIB=%PARAM_INSTALL_DIRECTORY%\eadj_jpa\lib
	SET XML=%PARAM_INSTALL_DIRECTORY%\eadj_jpa\config\ejb\META-INF
	SET CLASSPATH=.
	SET CLASSPATH=%CLASSPATH%;%LIB%\antlr-2.7.6.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\asm.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\asm-attrs.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\aspectjrt.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\c3p0-0.9.1.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\cglib-2.1.3.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\commons-collections-2.1.1.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\commons-logging-1.0.4.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\dom4j-1.6.1.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\ejb3-persistence.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\hibernate3.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\hibernate-annotations.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\hibernate-commons-annotations.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\hibernate-entitymanager.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\hibernate-tools.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\javassist.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\jboss-archive-browsing.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\jta.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\log4j-1.2.13.jar
	SET CLASSPATH=%CLASSPATH%;%LIB%\mysql-connector-java-5.0.6-bin.jar

	SET CLASSPATH=%CLASSPATH%;%PARAM_INSTALL_DIRECTORY%\eadj_jpa\deploy\eadj-jpa.jar

	::ECHO.
	::ECHO USING CLASSPATH: %CLASSPATH%
	::ECHO.
	
  GOTO RUNNER
  
  
::----------------------------------------------------------------------------
:: runner
::----------------------------------------------------------------------------
:RUNNER

  %JAVA_HOME%\bin\java ch.bouquet.jpa.JpaRunner %PARAM_ISOLATION_LEVEL% %PARAM_LOOP% %PARAM_PROCESS_TYPE%

  PAUSE
  GOTO START
 

::----------------------------------------------------------------------------
:: help
::----------------------------------------------------------------------------
:HELP

  CLS
  ECHO =====================================================
  ECHO. HELP FOR JAVA PERSISTENCE API - TESTER
  ECHO -----------------------------------------------------
  ECHO.
  ECHO  The Test-Application usage for run
  ECHO  p1 = install directory  [ c:\temp ]
  ECHO.
  ECHO  p2 = isolation level    [ 0 = no blocking ],
  ECHO                          [ 2 = read commited ],
  ECHO                          [ 4 = repeatable read ]
  ECHO.
  ECHO  p3 = size of loops      [ 1 - n ]
  ECHO.
  ECHO  p4 = process type       [ s = sequential ],
  ECHO                          [ p = parallel ]
  ECHO.
  ECHO  The report file of the Test-Application is written 
  ECHO  into the directory [ c:\data\logs\eadj-jpa-test.log ].
  ECHO =====================================================
  ECHO.
  
  PAUSE
  GOTO START


::----------------------------------------------------------------------------
:: info
::----------------------------------------------------------------------------
:INFO
  
  ECHO.
  ECHO =====================================================
  ECHO  GOOD BYE, HAVE A NICE DAY
  ECHO =====================================================
  ECHO.

  GOTO END
  
  
::----------------------------------------------------------------------------
:: end
::----------------------------------------------------------------------------
:END

PAUSE